Loading...
Searching...
No Matches
irr::IEventReceiver Class Referenceabstract

Interface of an object which can receive events. More...

`#include <IEventReceiver.h>`

Inheritance diagram for irr::IEventReceiver:

## Public Member Functions

virtual | ~IEventReceiver ()
| Destructor.
virtual bool | OnEvent (const SEvent &event)=0
| Called if an event happened.

## Detailed Description

Interface of an object which can receive events.

Many of the engine's classes inherit IEventReceiver so they are able to process events. Events usually start at a postEventFromUser function and are passed down through a chain of event receivers until OnEvent returns true. See irr::EEVENT_TYPE for a description of where each type of event starts, and the path it takes through the system.

Definition at line 433 of file IEventReceiver.h.

## Constructor & Destructor Documentation

## ~IEventReceiver()

virtual irr::IEventReceiver::~IEventReceiver | ( |  | ) |

inline virtual

Destructor.

Definition at line 438 of file IEventReceiver.h.

## Member Function Documentation

## OnEvent()

virtual bool irr::IEventReceiver::OnEvent | ( | const SEvent & | event | ) |

pure virtual

Called if an event happened.

Please take care that you should only return 'true' when you want to prevent Irrlicht from processing the event any further. So 'true' does mean that an event is completely done. Therefore your return value for all unprocessed events should be 'false'.

Returns
  True if the event was processed.

Implemented in irr::gui::IGUIElement, irr::scene::ICameraSceneNode, and irr::scene::ISceneNodeAnimator.

The documentation for this class was generated from the following file:

- IEventReceiver.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0